Get account top-up limits (deprecated)
Deprecated
GET/accounts/{account_id}/ai-gateway/billing/topup/limits
Deprecated: use manual_topup.limits from GET /topup/eligibility. Retrieve the minimum and maximum allowed top-up amounts (in cents) for this account.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get account top-up limits (deprecated)
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/billing/topup/limits \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 0,
"message": "message"
}
],
"messages": [
{
"code": 0,
"message": "message"
}
],
"result": {
"currency": "USD",
"max_cents": 100000,
"min_cents": 1000
},
"success": true,
"result_info": {
"has_more": true,
"page": 0,
"per_page": 0,
"total_count": 0
}
}Returns Examples
{
"errors": [
{
"code": 0,
"message": "message"
}
],
"messages": [
{
"code": 0,
"message": "message"
}
],
"result": {
"currency": "USD",
"max_cents": 100000,
"min_cents": 1000
},
"success": true,
"result_info": {
"has_more": true,
"page": 0,
"per_page": 0,
"total_count": 0
}
}